API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen
Entity · newsletter_campaigns

Newsletter Campaign Schema

Schema-ID
newsletter_campaign
Collection
newsletter_campaigns
Permissions
  • Lesennewsletter_campaign_view
  • Anlegennewsletter_campaign_create
  • Ändernnewsletter_campaign_edit
  • Löschennewsletter_campaign_delete

Felder

Newsletter Campaign Schema

newsletter_campaigns4 Permissions

Schema for newsletter email campaigns with A/B testing support

namestringerforderlich
1–200 Zeichen
descriptionstringoptional
nullable
statusstringerforderlich
DRAFTSCHEDULEDSENDINGPAUSEDSENTCANCELLEDFAILED
Default: "DRAFT"
templateIduuidoptional
nullable
listIdsuuid[]erforderlich
min 1 Items
excludeListIdsuuid[]optional
Default: []
subjectstringerforderlich
1–500 Zeichen
htmlContentstringerforderlich
min 1 Zeichen
textContentstringoptional
nullable
tiptapContentobjectoptional
nullable
fromNamestringoptional
max 200 Zeichennullable
fromEmailemailoptional
nullable
replyToemailoptional
nullable
emailAccountIduuidoptional
nullable
scheduledAtdatetimeoptional
nullable
sentAtdatetimeoptional
nullable
completedAtdatetimeoptional
nullable
abTestobjectoptional
nullable
enabledbooleanoptional
Default: false
testTypestringoptional
SUBJECTCONTENTFROM_NAME
variantBobjectoptional
nullable
subjectstringoptional
max 500 Zeichennullable
htmlContentstringoptional
nullable
fromNamestringoptional
max 200 Zeichennullable
testPercentageintegeroptional
5 – 50Default: 20
winnerCriteriastringoptional
OPEN_RATECLICK_RATE
Default: "OPEN_RATE"
waitHoursintegeroptional
1 – 72Default: 4
winnerstringoptional
AB
nullable
variantAStatsobjectoptional
nullable
sentintegeroptional
Default: 0
openedintegeroptional
Default: 0
clickedintegeroptional
Default: 0
variantBStatsobjectoptional
nullable
sentintegeroptional
Default: 0
openedintegeroptional
Default: 0
clickedintegeroptional
Default: 0
testStartedAtdatetimeoptional
nullable
winnerPickedAtdatetimeoptional
nullable
statsobjectoptional
nullable
totalRecipientsintegeroptional
≥ 0Default: 0
sentintegeroptional
≥ 0Default: 0
deliveredintegeroptional
≥ 0Default: 0
openedintegeroptional
≥ 0Default: 0
uniqueOpenedintegeroptional
≥ 0Default: 0
clickedintegeroptional
≥ 0Default: 0
uniqueClickedintegeroptional
≥ 0Default: 0
bouncedintegeroptional
≥ 0Default: 0
unsubscribedintegeroptional
≥ 0Default: 0
complainedintegeroptional
≥ 0Default: 0
failedintegeroptional
≥ 0Default: 0
tagsstring[]optional
nullable

Standard-Endpoints

Diese Resource folgt dem generischen CRUD-Vertrag der Plattform. Lesen Sie die Konventionen für Pagination, Idempotenz, Optimistic Locking und Audit. Die wichtigsten Endpoints:

  • GET /api/v1/newsletter_campaigns — Liste, paginiert + filterbar
  • GET /api/v1/newsletter_campaigns/<id> — Einzelne Entity
  • POST /api/v1/newsletter_campaigns — Anlegen
  • PATCH /api/v1/newsletter_campaigns/<id> — Teil-Update
  • DELETE /api/v1/newsletter_campaigns/<id> — Soft-Delete
  • GET /api/v1/newsletter_campaigns/<id>/timeline — Audit + Aktivitäten

Suche